Package com.smartgwt.client.bean.types

# Class DateValueType

java.lang.Object
com.smartgwt.client.bean.BeanValueType<Date>
com.smartgwt.client.bean.types.DateValueType

public class DateValueType extends BeanValueType<Date>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.smartgwt.client.bean.BeanValueType

  `BeanValueType.Convertability, BeanValueType.MetaFactory`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DateValueType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BeanValueType.Convertability`
  `convertabilityFrom(Object value)`
  `Date`
  `convertFrom(Object value)`
  `protected String`
  `doConvertToString(Date value)`
  `protected Class`
  `getValueType()`
  `protected boolean`
  `isAssignableFrom(Object value)`
  `static void`
  `registerValueType()`

  ### Methods inherited from class com.smartgwt.client.bean.BeanValueType

  `conversionException, convertabilityFrom, convertabilityToString, convertabilityToString, convertFrom, convertMapToJavascriptObject, convertToJava, convertToJavaScriptArray, convertToJavaScriptObject, convertToString, getBeanValueType, isA, isAssignableFrom, isAssignableFrom, nullValue, registerBasicValueTypes, registerBeanValueType, wrapInJavascriptArray`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DateValueType

    public DateValueType()

- ## Method Details

  - ### registerValueType

    public static void registerValueType()

  - ### getValueType

    protected Class getValueType()
    Specified by:
      `getValueType` in class `BeanValueType<Date>`

  - ### isAssignableFrom

    protected boolean isAssignableFrom(Object value)
    Specified by:
      `isAssignableFrom` in class `BeanValueType<Date>`

  - ### convertabilityFrom

    public BeanValueType.Convertability convertabilityFrom(Object value)
    Overrides:
      `convertabilityFrom` in class `BeanValueType<Date>`

  - ### convertFrom

    public Date convertFrom(Object value)
    Overrides:
      `convertFrom` in class `BeanValueType<Date>`

  - ### doConvertToString

    protected String doConvertToString(Date value)
    Overrides:
      `doConvertToString` in class `BeanValueType<Date>`